OpenTTD Source: SlGamelogGrfrem Class Reference

OpenTTD Source 12.2

Public Member Functions | Static Public Attributes
SlGamelogGrfrem Class Reference
Inheritance diagram for SlGamelogGrfrem:

## Public Member Functions
void | Save (LoggedChange *lc) const override
void | Load (LoggedChange *lc) const override
void | LoadCheck (LoggedChange *lc) const override
Public Member Functions inherited from DefaultSaveLoadHandler< SlGamelogGrfrem, LoggedChange >
SaveLoadTable | GetDescription () const override
| Get the description of the fields in the savegame.
SaveLoadCompatTable | GetCompatDescription () const override
| Get the pre-header description of the fields in the savegame.
void | Save (void *object) const override
| Save the object to disk. More...
void | Load (void *object) const override
| Load the object from disk. More...
void | LoadCheck (void *object) const override
| Similar to load, but used only to validate savegames. More...
virtual void | FixPointers (LoggedChange *object) const
void | FixPointers (void *object) const override
| A post-load callback to fix SL_REF integers into pointers. More...
Public Member Functions inherited from SaveLoadHandler
virtual SaveLoadTable | GetDescription () const =0
| Get the description of the fields in the savegame.
virtual SaveLoadCompatTable | GetCompatDescription () const =0
| Get the pre-header description of the fields in the savegame.
SaveLoadTable | GetLoadDescription () const
| Get the description for how to load the chunk. More...

## Static Public Attributes
static const SaveLoad | description []
const static SaveLoadCompatTable | compat_description = _gamelog_grfrem_sl_compat

## Additional Inherited Members
Data Fields inherited from SaveLoadHandler
std::optional< std::vector< SaveLoad > > | load_description

## Detailed Description

Definition at line 139 of file gamelog_sl.cpp.

## Field Documentation

## ◆ description

const SaveLoad SlGamelogGrfrem::description[]
| inlinestatic

Initial value:
= {
SLE_VAR(LoggedChange, grfrem.grfid, SLE_UINT32),
}

Definition at line 141 of file gamelog_sl.cpp.

The documentation for this class was generated from the following file:

- src/saveload/gamelog_sl.cpp

LoggedChange::grfid
uint32 grfid
ID of removed GRF.
Definition: gamelog_internal.h:55
SLE_VAR
#define SLE_VAR(base, variable, type)
Storage of a variable in every version of a savegame.
Definition: saveload.h:774
LoggedChange
Contains information about one logged change.
Definition: gamelog_internal.h:36